
$font_size__base: 16px;

/* COLORS */

$background_color: #11070F;

$white: white;
$black: black;

$red: #FF0045;
$lightred: #FF668F;
$lightestred: #FFC7E5;
$darkred: #A0032F;
$darkestred: #41061A;

$azure: #00C2FF;
$lightazure: #66DBFF;
$lightestazure: #B3EDFF;
$darkazure: #07779F;
$darkestazure: #0E2D3F;

$pink: #E61BE8;
$lightpink: #FC66FF;
$lightestpink: #FEB3FF;
$darkpink: #9E039F;
$darkestpink: #41063F;

$orange: #FF8800;
$lightorange: #FFC233;
$lightestorange: #FFDBB3;
$darkorange: #9F5406;
$darkestorange: #4D2806;

$green: #00FFB4;
$lightgreen: #66FFD1;
$lightestgreen: #B3FFE8;
$darkgreen: #079C72;
$darkestgreen: #0E3930;


$colors: (
	white : $white,
	black : $black,
	
	red : $red,
	lightred : $lightred,
	lightestred : $lightestred,
	darkred : $darkred,
	darkestred : $darkestred,
	
	azure : $azure,
	lightazure : $lightazure,
	lightestazure : $lightestazure,
	darkazure : $darkazure,
	darkestazure : $darkestazure,

	pink : $pink,
	lightpink : $lightpink,
	lightestpink : $lightestpink,
	darkpink : $darkpink,
	darkestpink : $darkestpink,

	orange : $orange,
	lightorange : $lightorange,
	lightestorange : $lightestorange,
	darkorange : $darkorange,
	darkestorange : $darkestorange,

	green : $green,
	lightgreen : $lightgreen,
	lightestgreen : $lightestgreen,
	darkgreen : $darkgreen,
	darkestgreen : $darkestgreen,
);

@each $name, $color in $colors {
	.#{$name}-bkg {
		background-color: $color;
	}
	.#{$name}-color {
		color: $color;
	}
	.#{$name}-border {
		position: relative;
		border-radius: 10px;
		border: 1px solid $color;
		box-shadow: 0px 0px 3px 0px $color;
		
		&:before{
			content: '';
			position: absolute;
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			pointer-events: none;
			border-radius: 10px;
			box-shadow: inset 0px 0px 3px 0px $color;
		}
	}
}

.azure-gradient{
	background: radial-gradient(ellipse at center, black 0%, $darkestazure 100%);
}
.pink-gradient{
	background: radial-gradient(ellipse at center, black 0%, $darkestpink 100%);
}
.orange-gradient{
	background: radial-gradient(ellipse at center, black 0%, $darkestorange 100%);
}
.green-gradient{
	background: radial-gradient(ellipse at center, black 0%, $darkestgreen 100%);
}
.red-gradient{
	background: radial-gradient(ellipse at center, black 0%, $darkestred 100%);
}

